--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Append one Resource to the Collection and relate it
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource] resource"
- !ruby/struct:SM::Flow::VERB 
  body: "  the resource to add to this collection\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [self]"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#<<
is_singleton: false
name: "<<"
params: (resource)
visibility: public
